Bug 532709 - Review Request: xmlbeans - XML-Java binding tool
Summary: Review Request: xmlbeans - XML-Java binding tool
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: F13FeatureIDEA
Keywords:
: 227122 (view as bug list)
Depends On: 532664
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-03 15:50 UTC by Lubomir Rintel
Modified: 2009-12-09 20:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 20:31:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2009-11-03 15:50:51 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/xmlbeans.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/xmlbeans-2.4.0-4.fc11.src.rpm

Description:

XMLBeans is a tool that allows you to access the full power 
of XML in a Java friendly way. It is an XML-Java binding tool. 
The idea is that you can take advantage the richness and 
features of XML and XML Schema and have these features mapped 
as naturally as possible to the equivalent Java language and 
typing constructs. XMLBeans uses XML Schema to compile Java 
interfaces and classes that you can then use to access and 
modify XML instance data. Using XMLBeans is similar to using 
any other Java interface/class, you will see things like 
getFoo or setFoo just as you would expect when working with 
Java. While a major use of XMLBeans is to access your XML 
instance data with strongly typed Java classes there are also 
API's that allow you access to the full XML infoset (XMLBeans 
keeps full XML Infoset fidelity) as well as to allow you to 
reflect into the XML schema itself through an XML Schema 
Object model.

Comment 1 Lubomir Rintel 2009-11-03 15:51:10 UTC

*** This bug has been marked as a duplicate of bug 532664 ***

Comment 2 Lubomir Rintel 2009-11-03 15:53:20 UTC
The above is obviously a mistake.

To build the package for the first time, either install xmlbeans from JPackage, or build it with rpmbuild --with bootstrap, install and then rebuild again.

Comment 3 Lubomir Rintel 2009-11-12 11:29:55 UTC
*** Bug 227122 has been marked as a duplicate of this bug. ***

Comment 4 Lubomir Rintel 2009-11-27 12:12:59 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/xmlbeans.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/xmlbeans-2.4.0-5.src.rpm

Please note that the above package has bootstrapping enabled; it would be disable after it's initially built.

Comment 5 Marek Mahut 2009-12-09 11:52:04 UTC
Package looks sane, approved.

Comment 6 Lubomir Rintel 2009-12-09 12:03:04 UTC
Thank you.

New Package CVS Request
=======================
Package Name: xmlbeans
Short Description: XML-Java binding tool
Owners: lkundrak
Branches: F-11 F-12 EL-5

Comment 7 Kevin Fenzi 2009-12-09 17:53:25 UTC
cvs done.

Comment 8 Lubomir Rintel 2009-12-09 20:31:00 UTC
Imported and built.


Note You need to log in before you can comment on or make changes to this bug.